package ca.mgamble.postman.api.message;

import java.util.ArrayList;
import java.util.List;

public class PostmanRawMessageBuilder {
    private String mail_from;
    private String data;
    private boolean bounce;
    private List<String> rcpt_to;

    public PostmanRawMessageBuilder from(String mail_from) {
        this.mail_from = mail_from;
        return this;
    }

    public PostmanRawMessageBuilder withData(String data) {
        this.data = data;
        return this;
    }

    public PostmanRawMessageBuilder withBounce(boolean bounce) {
        this.bounce = bounce;
        return this;
    }

    public PostmanRawMessageBuilder to(String rcptTo) {
        if (this.rcpt_to == null) {
            this.rcpt_to = new ArrayList<>();
        }
        this.rcpt_to.add(rcptTo);
        return this;
    }

    public PostmanRawMessageBuilder tos(List<String> tos) {
        this.rcpt_to = tos;
        return this;
    }

    public PostmanRawMessage build() {
        return new PostmanRawMessage(mail_from, data, bounce, rcpt_to);
    }
}
